Get stats from API executions.
curl --request POST \
--url https://api.revong.com/api/v1/endpoints/{endpointId}/stats \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z",
"path": true,
"url": true
}
'import requests
url = "https://api.revong.com/api/v1/endpoints/{endpointId}/stats"
payload = {
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z",
"path": True,
"url": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from: '2023-11-07T05:31:56Z',
to: '2023-11-07T05:31:56Z',
path: true,
url: true
})
};
fetch('https://api.revong.com/api/v1/endpoints/{endpointId}/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Endpoints
Get stats from API executions.
ROLES: ENDPOINT_READ,ENDPOINT_WRITE,ENDPOINT_ADMIN USER: true SERVICE ACCOUNT: true
POST
/
api
/
v1
/
endpoints
/
{endpointId}
/
stats
Get stats from API executions.
Authorizations
Bearer token with Platform JWT token or API Key.
Path Parameters
Body
application/json
Aggregation period from.
Aggregation period to.
Aggregation period type.
Available options:
YEAR, QUARTER, MONTH, WEEK, DAY, HOUR, MINUTE, SECOND Show API path (exclude dynamic routing).
Show end URL (include dynamic routing).
Response
OK.
⌘I

